Olympe Help

OLYMPE

-------------------------

Modelling and Simulation

of Farms

USER'S MANUAL

May 2012

www.olympe-project.net

J.M. Attonaty
M. Le Bars
P. Le Grusse
E. Penot
D. Snoeck

INRA
CNRS
CIHEAM-IAMM
CIRAD
CIRAD


About Olympe

Olympe is a simulator for farm decision making for strategic orientation. It can be used for both individual and collective scales.

The advantage of Olympe is in its speed to explore different variants, which allows testing many aspects of a project and its viability.

Olympe has various functionalities:

  • It can be used as a Database: information on product prices, native units, cropping / animal systems, farming systems
  • Simple accounting calculator: automatic computation or own output forms from custom indicators to answer specific questions.
  • The evaluation of consequences of a new investment, the removal or addition of a production farming system, change in a cultural practice calendar, technical change, …
  • The integration, in a simulation, of risks through evaluation of consequences of possible events, which are called production hazards. They may be internal or external to the farm; e.g.: fluctuation in prices, climatic hazards, evolution of the market.

Olympe may be used as a simulator at regional level and therefore allows an aggregated modelling of cropping systems in a global approach.

The simulator can show the impact of changes but does not allow the understanding of the stakeholders’ management techniques to anticipate their reactions following modifications of events linked to their environment. To model the complete system operation, it is imperative to understand and formalize the rules of the stakeholders’ decisions as well as the law governing these rules.


Installation of the software

Installation and updates, Setup

First installation:

When you install Olympe for the first time, some Runtime files (c++.dll) are required. Install them prior to install Olympe. They can also be added later on, if Olympe requires one of them. It is without risk, because existing or more recent files will not be replaced.

Run the Olympe_System_Files_Setup.exe file to download the System files.

To install or update Olympe software:

  • Download the Olympe_Setup.exe file from the www.olympe-project.net Web site (or from the CD-Rom given during the training course). It includes the last updates.
  • Copy it to the Hard Disk in a temporary Directory.
  • Run the exe file.
  • The setup procedure creates:

  • a directory named "C:\Program file\Olympe" for the program files.

  • a directory called "My Documents\Olympe" for your "xxx.oly" work files.

Notes:

  • New versions of the software can read older files. Not the opposite.
  • It is advised always working on a copy of your main data file. So, in the event of corrupted files or use of older versions, you can revert to the last valid version of the data file.


Main Window

Create, modify hazards Click to leave Olympe Choix du Fichier OLY et Infos Definition of custom variables Create, manage custom output forms Create, modify the farming systems and farm accounts Manage sets of farmers, regional level Create, modify the production workshops Create, modify the Definitions Create the Initial Data Base Maintenance du fichier OLY Change Language

From left to right:

  • The elements constituting the initial data base: Units and VAT.
  • Definitions of the elements which will be used in the Production Workshops, the Farms, by the Family, and Misc.
  • The Elements for the custom data analysis: variables to create own processes.
  • The Production workshops which describe the productions systems (annual crops, animals, tree crops and perennials).
  • Farmers: This item allows studying the actual operating systems of farmers.
  • Sets of farmers: each unit corresponds to a group of farmers which presents same typology. Several sets of farmers can be analysed and compared.
  • Hazards: you can define the tendencies or the evolutions on prices or quantities.
  • Components for custom presentation: Indicators, Output forms and Comparison.

Note: Each window has a Tool Bar at the bottom to handle the data.


Description of tasks for regular use

Description of tasks in a normal use of the software

The first Step consists in defining the U nits and the VAT rates.

The next steps are to create and manage:

  • The Definitions of the elements structuring the data base: farming system, livestock farming or activities. These will be used in the Production workshops, then in the farmer’s production systems.

  • Your own variables, for custom analyses.

  • The Production Workshops, used to define the elements composing the technical itineraries of the farming systems, which will be used in the Farmers’ production systems.

  • Farmers: the elements constituting every production system: a farm with a decision maker.

  • Sets of farmers: defines the elements of the sets of farmers for a regional analysis.

  • Hazards: variations in the output or inputs per year due to uncontrolled variations of quantity and price changes.

Note: By selecting “Current”, you select the last opened farmer.
To create a new farm or work on another one, select the “Others” button.


File Menu

This menu is accessed to:
  • Create a new file
  • Open a file already created,
  • Save the file currently used,
  • Save the file currently used using another name,
  • Read all possible recoverable data from a damaged file,
  • Import data using an external Interface,
  • Read data from a Ms Access ® file.
  • Write data to a Ms Access ® file


Import data with interface

Import data through an interface

This module is used to combine the data of an Olympe basic file and a farmer's data CSV file in order to create a combined base+farm Olympe file.

Click inside one of the cells to show up the “open file” window.

An Olympe file which contains the basic data: units, definitions, variables, workshops, inputs, outputs, comparisons forms, custom output forms, hazards, etc (all except farmers' data).

A CSV File containing the farm data to be analyzed: delta (hazards), and given farmer's data (crop rotations, animals, Assets, etc).

The file resulting from the combination of the two files here above.

Conversion information

Click on OK opens the page “Results” of the farmer.

The xxxx.csv file can be created from a specific interface or from a standard spreadsheet (e.g. Ms Excel). In this file:

  • Any blank line is ignored by Olympe.
  • Any line which starts with // (= used for comment) is ignored by Olympe.
  • Any line which starts with a word not recognised by Olympe is ignored (keyword or Name of a definition created in the basic module).

Introduction of data

Items to be combined

The keywords recognised by Olympe correspond to the headings of the tabs in the FARMER. The key word is introduced into column A (the other columns remain empty).

Into the lines which are under the key word, one introduces the elements which one wants to amalgamate in the same order as if they were introduced into Olympe/Farmer in progress; i.e.:

  • In column A: the name of the item (its definition),
  • In column B: Its category,
  • In columns C, D ... : the values as they will have to appear in the file resulting from combination.

Case of hazards items

The key word is "Delta" which is Witten in column A. It must be followed by:

  • In column B: the type of hazard (Price or Quantities),
  • In column C: Category of the risk (Produced or Charges),
  • In column D: Kind of hazard (Tendency or Scenario),
  • In column E: Simulation followed by its number.

The last line contains the page to be posted when the software returns in Olympe. It contains:

  • In column a: the word RESULTS
  • In column b: the category of result; usually: Standard
  • In column C: The window to open (e.g.: Receipts Expenditure).


Read data from Access

Import (Read) data from a file created with Ms Access® into Olympe

Use this option to convert data from a .mdb file (file created by Ms Access® ) into an .oly file (file used by Olympe ). The data will have been created either using the "Write_Access" or directly from a database created with the MS Access® software.

To do this, Click on "Read Access", and Olympe will ask the name of the file to read and retrieve the data it contains.

Content of the Database

Olympe only reads the tables in the .mdb file whose names are recognized by Olympe. These tables and fields are described in the file "Olympe_Access_Tables_En.PDF". If the tables contain additional fields (columns), only the fields required by Olympe will be read. But, if one field that is required is missing, the whole line will not be read.

At a minimum, we recommend the tables of "units systems" and "Vat" (2 tables).

The tables have a hierarchy to be maintained. Particularly, for:

  • Definitions: Create the list of categories (Def_Categ) before the table of elements (Def_Item ...).

  • Workshop: Create a list of categories (Ate_Categ) and sub-categories (Ate_SousCateg) before the tables of elements (Ate_Item).

  • Hazard: Alea_Categ before Alea_Item

  • Farmers: Farmers' list (Ag) before all others.

The details of relations between tables and fields are described in the file Olympe_Access_Tables_relations.

The following tables are not included:

  • In Farmer's module: Production/Herds (movements of animals), Stock/Account, and Treasury.

  • contents of output forms and comparison forms.


Export data to Access

Export (Write) data from an Olympe file into Ms Access®

Use this option to convert an .oly file (file created by Olympe ) into a .mdb file (file read by Ms Access®). So the file can be modified directly with MS Access®. Later, it may eventually be converted back using "Read_Access".

To do this: Click on the "Write Access" option in the File menu and follow the instructions. The file is created and contains all the tables in the. oly file, which are described in in "Olympe_Access_Tables_En.PDF".

The resulting file contains all the information required by Olympe, namely:

The tables in the Ms Access file contain all information required by Olympe ; i.e. :

  • Unit Systems and VAT(2 tables) ;

  • Definitions : list of items by categories (9 tables) ;

  • Workshops : list of categories, sub-categories and their characteristics (4 tables) ;

  • Hazards (2 tables) ;

  • Farms and their characteristics : Definitions, production areas, animals, and finance (21 tables)

  • sets of farmers (2 tables).

The details of relationships is described in the file Olympe_Access_Tables_relations.


Other Maintenance Actions

Other maintenance activities

Notes: to take custom notes on the farming system. It is small notepad.

Xml files: Converts all data of the current file into XML format for use with other software programs able to read XML formatted data.

Clear: Allows deleting unwanted data in your xxx.Oly file. Attention: It has no UNDO

Test: Used to test the version.


Maintenance, Notes

This frame allows taking notes on the current file.

It is small notepad.


Output to Xml Format

Xml formatted output

Converts all data of the current file into XML format for use with other software programs able to read XML formatted data.


Maintenance, file cleaning

Maintenance, file clearing

This item allows deleting unwanted data in your xxx.Oly file. Attention: It has no UNDO.

Clearing is used when:

  • you wish to reuse part of a file (so you do not have to retype all data). For example, if you need same basic data (definitions, production workshops, but not farmer's accounts, etc.).

  • if the file is corrupted to try to save data (check also 1.3.3).


Export Data to Ms Excel

All tables can be exported to an existing Ms Excel file having a .CSV extension or to a new file with the same .csv extension.

Attention: the file has to be opened from Ms Excel and not from the Windows Explorer; otherwise it would create a single column with all data separated by semi-colons.

Exporting to Excel is very useful to:

  • Save data in another form.

  • Improve the presentation: custom quality graphs.

  • Do snapshots on the main data of the farm and improve the immediate vision of it.

  • Do further analysis not normally possible inside Olympe; e.g. statistical analysis.

  • Improve the presentation: to make graphs of quality.

  • Transfer data for further statistical analyzes.


Possible action in each window

Possible Actions in the windows

  • Save the just modified data.
  • Leave the current table = «Close»
  • Leave the software = “Quit”
  • Send data to the recycled bin = “Clear”
  • Copy the data to or from Excel: either on a separated file, or by continuing the same file


Tool Bars

The tool bars

A tool bar is displayed at the bottom of each window.

Some windows have more buttons. They will be described when necessary. (For example: in the Production workshops, the MARGIN button makes it possible to present the margins detailed or synthetic).

From left to right, you have:

Save: save all data after checking

Black Recycle bin: delete the current line after confirmation (if possible)

Red Recycle bin: delete all data in the spreadsheet after confirmation (if possible)

Print: shows the contents of the sheet on full screen. This screen will be printed after another click on [image] .

Sends the contents of the "csv" file. By default, the Excel file has the same name as the current oly file but with CSV extension. This file could be worked using a spreadsheet (type Ms Excel).

The data can be written :
  • at the end in an existing file;
  • in the existing file, but after clearing all of its data;
  • in another file.

Converts the contents of the sheet in Ms Excel format and creates an Olympe.xls file that can be opened directly from a spreadsheet (e.g. Ms Excel).

Sends the contents of the Olympe.xls file into the Olympe sheet.

Sort the lines of the sheet. A click reveals the following buttons: allowing to sort up or down the selected lines.

Copy to right: this carry forward is possible only if the neighbour cell is empty!

Copy down: this carry forward is made only if the bottom line is empty !

Copy the content of the selected cell to all the lines, and replace the existing data if the check box [image] is checked.

This button appears in the production workshop windows. Click on it to show up a table of detailed or synthetic margins.

Close the current page and goes back to the previous frame. It saves any modified data.

Exit the programme without saving anything. ATTENTION: To be used only if the software stops operating or has a problem.


Initial Data Base

Input the units and VAT


Database,Units

Units

This is the first table to fill. The Units are used for all successive items. Every product, cost, expense, income … has a unit.

Any type of units is possible, with conversion from plot level to farm and to region levels.

Unit can be different according to the Farming system, the farm or the Region.

  • Farming systems units are entered in the Farming System column.

  • The corresponding farm level units are entered in the Farm level column.

  • The corresponding units for a group of farmers are put in the Region column.

Note: The items marked with a * are already used elsewhere and cannot be deleted.

Example for irrigation water, use: Define:

  • mm at the level of the crop Farming system Unit: mc
  • cubic meter at the level of farm Farm level Unit: mc
  • thousand of cubic meters at the region level Region level Unit: Mmc

Thus, relation between these units: 2/1 -> mc/mc = 1
3/2 -> Mmc/mc = 1000

The Currency column is used to specify whether the unit is used for currencies Yes (O) or No. N is automatically added if omitted (default value). The default “used currency” unit will be chosen among one of these.


Database, VAT

VAT (for liable farms)

You can specify all possible types of VAT.

Name e.g. none

Rate in percentage (%). 0

In the right panel, select both the VAT that will be used by default and the VAT used by default for the Fixed Assets.


Definitions

The following windows are used to create the definitions which will be used in the production systems of the farms.

The definitions are used to describe the items structuring the data base.

Production: Input the Definitions (name, price, ...) for:

  • Outputs , (Outputs from animals are also included here),

  • Inputs,

  • Externalities,

  • Herds (or flocks), and

  • Labour Period used in the production workshops. (See How to use).

Farm: Input the Definitions (name, price, ...) of:

  • Fixed Assets and miscellaneous Expenses and other revenues not linked to an activity described above.

Family: Family accounts: Revenues and expenses of the family.

This account is used to separate the items strictly related to the family from those done for the exploitation; even if the agricultural turnover is generally entirely used by the family.

The Farming system items are grouped in categories.

Clicking on one of the definitions to manage the list of categories of the corresponding definition.

The left panel buttons of the window enable you to:
  • Create a new category. This can also be done by clicking on the last empty item […]
  • Delete a category. This works only if it doesn’t contain any item.
  • Modify the name of the category.
  • Sort the items by moving them up or down.

Click on the name of a category to display its content. This opens a table to create and manage the items (inputs, outputs …) used in the production workshops and the farms.


Definitions for Workshops

Definitions for the Production workshops

The definitions are used to describe the items structuring the data base.

Input the Definitions (name, price, ...) for:

  • Outputs , (outputs for animals are also included here)

  • Inputs,

  • Externalities,

  • Herds (or flocks) and

  • Labour Period used in the production workshops.


Definitions, managing items

Definitions, Management of items

This frame is used to create and manage all items to be defined in the next frames (outputs, inputs ...).

The buttons of the left panel are used to:
  • Create a new category. This can also be done by clicking on [...]
  • Delete a category. Provided it does not contain any item.
  • Copy a category.
  • Modify the name of the category.
  • All items can be Sorted.


Definitions, Outputs

Put here all outputs which will be produced by the cropping systems, or livestock farming or activities (yields, products …).

First, input the categories of Outputs to describe.

Then, click on a category name or create a new one to open the table of items used as outputs by the cropping systems, or livestock farming or activities (yields, products …).

To fill the table: Place the cursor in:

  • 1st column, and input the name of the item.
  • 2nd column and click on the Units button to open the dictionary. Select the units in which you will buy or sell the item (units per farm and region are filled automatically).

Then, input:

  • Price per farm unit.
  • VAT by clicking on the VAT button. Without any indication, the VAT by default that will be used.


Definitions, Inputs

Inputs are used to describe and manage all all the inputs related to the crops, the livestock or the activity considered (e.g.: manure, treatments, seeds, etc).

First, input the categories of inputs to describe. Then, click on an existing category or create a new one to open the table of items.

To fill the table: Place the cursor in:

  • 1st column, and input the name of the item.
  • 2nd column and click on the Units button to open the dictionary. Select the units in which you will buy or sell the item (units per farm and region are filled automatically).

Then, input:

  • Price per farm unit.
  • VAT by clicking on the VAT button. Without any indication, the VAT by default that will be used.


Definitions, Externalities

This frame is used to describe:

  • Negative externalities: e.g. pollution by a pesticide, soil water pollution by fertilizer or pig manure, etc.
  • Positive externalities: e.g. carbon sequestration, etc.

Attention: Externalities are in quantities (not in values). To obtain the value of externalities, save the sheet to Ms Excel and do the calculation separately.

---------------------------------

First, input the categories of externalities to describe. Then, click on an existing category or create a new one to open the table of items.

To fill the table: Place the cursor in:

  • 1st column, and input the name of the item.
  • 2nd column and click on the Units button to open the dictionary. Select the units in which you will buy or sell the item (units per farm and region are filled automatically).


Definitions, Herds

Definitions of Herds (animals WITH movement of livestock)

This module is used to describe the type of herd and the animals included in it.

First, input the categories of animals to describe. Then, click on an existing category or create a new one to open the table of items.

Create or select a category (example: dairy cows). This will open the definition table of the herds.

Then, Enter:

  • The Names of the type of animals: All types of animals are considered as products: i.e. they can be bought, sold or be consumed in midterm. For example: dairy cows, cows, bulls, 1 year calf, 2 years calf, heifers 1 year, heifer 2 years etc.
  • Their stocktaking values (from the accountant level)
  • Their prices per capita of cattle.
  • Their rates of VAT.
  • Their origin compared to the animals of the herd listed in the lines below; e.g. the dairy cow (line 1) comes from 2-year-old heifers, which themselves come from 1-year-old heifers, female calf, etc.
  • Generate and %:

  • Put the number of the line below corresponding to the animal generated. For example, the cow (line 1) generates (gives birth to) one female calf (line 4) with 35% of success AND generates a male calf (line 5) with 45% of success AND generates …

  • The % of generated animals can be > 100% for rabbits or pigs, according to the reproduction cycle, etc

Repeat the procedure for Generate 2, Generate 3, etc.

Note: For a full description of the management of animals, go to this page.


Definitions, Labour periods

Definitions of Working Periods

This menu is used to build up working activity calendars. Each calendar is made of periods or activities.

Many calendars can be specified (e.g.: labour, tractor, etc.). Calendars can be used for different purposes. For example: to separate dry from rainy seasons or to separate men from women.

First, input the categories of Labour to describe. Then, click on an existing category or create a new one to open the table of items.

A calendar is separated in two parts:

1. The Definition of labour period or activity and their lengths. A period starts «first day included» and ends «last day excluded».

  • For first day (e.g.: 15 November), type 15 11.
  • For last day (e.g. 28 February), type 01 03

2. The working availability = The number of hours needed for one worker to realize the activity (or for the period) computed from the:

  • number of working hours per day.
  • percentage of available time: taking in account other constraints; e.g. climatic conditions, etc.

Then, the available days and hours are computed by the software.

Note: It is often difficult to have correct data about farmer’s activity. If this is the case, use relative value: this allows seeing where the labour constraints are.

The calendar periods can be months, fortnights or specified by the user, if so needed.

Finally, the number of hours required for each period or activity will be input in the "Production Workshops => Labour".

How to use Working period and Labour

In Definitions: input: Activity (or period) AND Hours per worker.
Example: Weeding = 3 days (× 6 h) = 18 hours.

In Workshop: input: the actual time length required to do the activity (reminder : standard workshop unit = 1 hectare)
Example: Workshop / Corn à 30 hours are needed to do the weeding (per ha of corn)
Workshop / Wheat à 20 hours are needed to do the weeding (per ha of wheat)

In Farmer / Production : Input Corn: 1 ha + Wheat: 1 ha à 2 ha

Then, Olympe compares availability and needs:

  • Availability = 18 h /worker

  • Needs = (30+20) h × 2 ha = 100 h (for both activities)

In Farmer / Results / Labour: 100/18= 5.5 workers


Definitions for the Farm

Definition for the Farm

Input the definitions for:

Fixed Assets

Misc. Expenses


Definitions, Fixed Assets

Definitions of Fixed Assets

First, input the categories of Fixed assets to describe.

Click on an existing category or create a new one to open the table of items.

To fill the table: input:

  • name of the item.
  • VAT by clicking on the VAT button. Without any indication, the VAT by default that will be used.


Definitions, Misc. Expenses

Definitions of Misc. Expenses

First, input the categories to describe.

Click on an existing category or create a new one to open the table of items.

To fill the table: input:

  • name of the item.
  • VAT by clicking on the VAT button. Without any indication, the VAT by default that will be used.


Definitions, Misc. Revenues

Definitions of Other Revenues

First, input the categories to describe:

Click on an existing category or create a new one to open the table of items.

To fill the table: input:

  • name of the item.
  • VAT by clicking on the VAT button. Without any indication, the VAT by default that will be used.


Definitions for the Family

Definition for the Family

Input the definitions for:

Family Expenses

Family Revenues

The family accounts are used to separate costs and revenues linked to the family (family members) activities from the farm accounts.


Definitions, Family Revenues

Definitions of Family Revenues

First, input the categories to describe. Then, click on an existing category or create a new one to open the table of items.

To fill the table: input:

  • name of the item.
  • VAT by clicking on the VAT button. Without any indication, the VAT by default that will be used.


Definitions, Family Expenses

Definitions of Family Expenses

First, input the categories to describe. Then, click on an existing category or create a new one to open the table of items.

To fill the table: input:

  • name of the item.
  • VAT by clicking on the VAT button. Without any indication, the VAT by default that will be used.


Definitions, Miscellaneous

Definition, Miscellaneous

In this item, you can define custom Variables, not existing in the software to cover a specific aspect.


Definitions, Variables

Definitions of Variables

The “variables” are created by the user when those already present in the software are not sufficient or does not cover a particular aspect. It is one of the elements of the flexibility of Olympe. The user can create any variable, and then integrate it in a specific indicator, non pre-existent in the software.

Enter the variables by family categories so that only the variables belonging to the same family could be used at a given time, thus making easier the choice faster and to cover the results in the “Farmers” Chapter.


Production Workshops

The Production Workshops

The Production workshops are used to describe in details all production activities of the farm related to the cropping systems, farming systems, and livestock farming systems.

Each production system provides outputs (products …) and consumes inputs (costs …). Some costs are proportional to the surface area, others to the quantity.

The cropping systems are defined through 4 types of crops, which are:

- Annual Crops : with or without a Secondary Crop: maximum one year full cycle with the possibility to include expenses in year «before one» (equivalent of year zero).

- Animals : livestock, farming systems …

- Tree-crops : Crops having a lifespan of more than 5 years: e.g. coffee, cocoa, rubber, oil palm, fruits, pepper, vanilla, long life agro-forestry systems. Any annual or bi-annual cultural associations can be included in the technical itineraries: they must be included in the stages (see below).

The “stages” must be specified before defining the tree-crop production systems.

- Multiannu als : biannual or multi-annual seasonal crops with a maximum of 5 years: example: banana, pineapple, cassava, any annual culture or biannual associations can be included in the technical itineraries.

Technical itineraries with their implications on the economic plan (but the itinerary in itself is not detailed in Olympe) at a rate of a different technical route with each time an element changes (a quantity of manure, a quantity of seeds, etc).

Olympe did not envisage systems of processing and manufacture of the agricultural products produced on the farm or other type of activity related to agriculture,… if integrating these types of activity in the workshop (fruits transformation, or milk or etc) is required; it is possible to use one of the 4 systems above with a specific name according to the lifespan of the activity.

If the type of activity is non agricultural, put it in various revenues in the “farmers” module.

----------------------

First, input the categories and sub-categories to describe.

The left panel buttons of the window enable you to modify categories and sub-categories:

  • Create a new category (sub-category). This can also be done by clicking on the last empty item […]
  • Delete a category (sub-category). This works only if it doesn’t contain any item.
  • Modify the name of the category (sub-category).

and

  • Sort the items alphabetically or by moving them up or down.

Then, click on an existing sub-category or create a new one to open the corresponding "production workshop".


Production, Tree crops Phases

Tree Crops Production Stages

To be used only for tree-crops and BEFORE using them in the Production workshops.

Each stage is a homogeneous period with the same outputs and the same costs and can last several years. For example:

  • Year zero: Land preparation

  • Year 1: Plantation

  • Years 2 to 4: growing immature period, without any production…

  • Years 5 to 7: beginning of production; low level of production.

  • Years 8 to 10: average level of production.

  • Years 11 to 20: maximum level of production.

  • Years 21 to 30: decreasing level of production:.

  • Years 31 and above: felling trees and sale of timber. Destruction of the plantation.

To fill the columns, enter:

  • SPECIES: the name of the species or the mode used.
  • Beginning of Depreciation: number of years before the plantation begins to depreciate.
  • Maximum: depreciation duration period.
  • Other columns: each column corresponds to a life stage of the plantation.

If annual crops (e.g.: rice) or biannual (e.g. cassava) are associated to the main crop, the stages should be modified accordingly.

The information used in the tree-crop inputs and outputs frames will be generated from the descriptions given here.

Use the buttons [image] to create suite and use [image] to clear the values.


Production workshop (all Crops / Animals)

Productions workshops for Annuals (2 years), Multiannual (4 years) and Tree-crops (40 stages)

First, input the categories and sub-categories to describe. See here for tree-list management.

Then, click on an existing sub-category or create a new one to open the corresponding "production workshop".

A sub-categories has many characteristics grouped by tabs.

To manage the items in a tab, click on its name.

Bottom of page tool bar:

The MARGIN button is used to display the results of the production workshop per unit of area (normally in hectares).

Top of page indicators:

" Used " is displayed if the crop (animal) is used by a farm => it cannot be deleted.

The difference between a “Main crop” and a secondary crop is described in the Secondary crop concept page.

NOTE: The surface of a secondary crop is not added in the total of surfaces of the Outputs.


Managing Production workshops

Productions workshops, Managing items

C lick on one of the production workshops to open a new window.

The buttons of the left panel are used to:
  • Create a new category. This can also be done by clicking on [...]
  • Delete a category. Provided it does not contain any item.
  • Copy a category.
  • Modify the name of the category.

When a category is selected, the lower buttons can be used to:

  • Create a new Activity inside the category. This can also be done by clicking on [...]
  • Delete an activity. Provided that it does not contain any item.
  • Modify the name of the activity.
  • All items can be Sorted.


Production, Outputs

Workshop, Outputs

To add (replace) an item in a line:

  • Place the cursor into the desired cell of first column.
  • Click on the Products button to display the list of previously defined outputs.
  • Select the desired item from the output list. This will input the Name, its category and Farming system unit (as specified in definitions).

The other columns are filled as follows:

  • Before_1: last year outputs.
  • 1: first year of effective crop. (Annual cash crop = production year as specified in the rotation of crops).
  • 2: next year production.
  • Etc.: idem (for perennials and tree crops).

The Margin button (at the bottom of the window) makes it possible to view the results.

Note: there is no year ZERO. The year [before_1] is used for advance in crop (e.g. land preparation). For perennials, the columns are corresponding to the stages created previously.


Production, Secondary crop

Workshop, Secondary Crop

Case of tree crops and multi-annuals:

If this crop is the main crop, check the TRUE box, else use FALSE.

One creates for example one cassava inside a corn field: indicate FALSE for the secondary crop.

The area of a secondary crop is not added in the total of surfaces of the farmer's Products.

Secondary Crop: Description of the concept

Many options are available in Olympe making it possible to take into account the following particular systems:

  • Associated crops (annual or perennial): several crops can be associated as long as part of their cycle is common. For example: a cassava (one year) with corn (4 months), beans (5 months) and cucurbitaceous (7 months). If less than one year, they should be put into annual crops. If more than one year; they should be put into perennial crops (up to 4 years).
  • Intercropping of cash crops in a tree-crop plot during the immature stage: can be managed as crops associated with the tree-crop. The livestock systems can also be integrated. This is an alternative of the above but with tree crops.
  • Agroforestry systems containing mixture of fruits, rubber, cocoa, timber trees, etc. can also intercropped during the immature period of these multi-strata systems.

For all three cases: add one by one the various outputs inputs, and labour. In the selected categories: annual, tree-crops or perennials. In any case, the surface is not modified (the species being associated on a same land, even with different cycles). On the other hand, the species cannot be separate later, in the analysis of expenditure. The gross margin would be that of the whole and not separated per crop: there are the economic results of the unit.

Note: it is often illusory to think of being able to separate each species. And, in addition, it is normally the whole of the farming system which interests us.

At the farm level, in “current farmer”, there is a synthesis table for the margins. In this case, the margin is that of the whole of the selected activities (for example all technical routes for rice or perennials …) balanced by the surface of each crop. We are not any more in the margin/ha and the comparison of the technical routes but in the comparison of the margins per type of activity at the farm level.


Production, Inputs

Workshop, Inputs : operational costs (proportional to the area)

To add (replace) an item in a line:

  • Place the cursor into the desired cell of first column.
  • Click on the Expenses button to display the list of previously defined items.
  • Select the desired item from the input list. This will input the Name, its category and Farming system unit (as specified in definitions module).

Note: there is no year ZERO. The year [before_1] is used for advance in crop (e.g. land preparation). For perennials, the columns are corresponding to the stages created previously.

The other columns are filled as follows:

  • Before_1: last year outputs.
  • 1: first year of effective crop. (Annual cash crop = production year as specified in the rotation of crops).
  • 2: next year production.
  • Etc.: idem (for perennials and tree crops).

The Margin button (at the bottom of the window) makes it possible to view the results (see 4.2.11.).


Production, Inputs / Quantity

Workshop, Inputs per quantity of Product (Yield)

These are the costs proportional to the quantity produced.

Example: coffee bags which are function of the total yield of coffee beans, Proportional taxes in relation to the yields can be specified. Costs of the farm tenant can also be put here.

To add (replace) an item in a line:

  • Place the cursor in the desired cell of first column.
  • Click on the Output button to Select the Output to use as reference from the list. (ONLY the outputs defined in first sheet are available).
  • Place the cursor in the desired cell of third column = Input, and
  • Click on the Expense s button to select the desired item from the input list. This will input the Name, its category and Farming system unit (as specified in definitions module).

Then, in the columns (Before_1, 1, etc.), indicate how many of this supply per product is needed.

The Margin button (at the bottom of the window) makes it possible to view the results (see 4.2.11.).


Production, Externalities (in Quantity only)

Workshop, Externalities (only as quantity)

They are expressed in Quantities.

To add (replace) an item in a line:

  • Place the cursor into the desired cell of first column.
  • Click on the Externalities button to display the list of previously defined items.
  • Select the desired item from the externalities list. This will input the Name, its category and Farming system unit (as specified in definitions module).

The data in quantities can be exported to an Ms Excel spreadsheet, and then be given a price to facilitate the calculation of a value.

The Margin button (at the bottom of the window) makes it possible to view the results (see 4.2.11.).


Production, Advances on crops

Workshop, Advances to crops

To correctly establish the assessments and the accounts of company, it might be necessary to define the crop advances. For this, Olympe provides the expenditure carried out each year. But the farmer can supplement or modify these items.

In the example below, the INPUT panel shows that the rubber involves some expenditure.

Inputs sheet :

that you can find in the margin table and the synthetic table. The expenses are displayed in the right panel of the Advance window.

Plus, beside these expenditures, the farmer can decide to include some other elements.

Advance Panel :

To take in account the opening date of the financial year, the table allows defining the advance according to the opening month. Thus, if the production year starts in January there would be 250 € in advance. On the other hand, if the year starts in September there will be no costs in advance.


Production, Fixed Assets with depreciation

Workshop, Fixed Assets with Depreciation

The fixed assets products correspond to the necessary investments and expenses during the immature period of the crop; e.g. necessary investment during the setting up of a plantation.

Attention: some expenses can be put in the first production year; e.g. cost of equipment for rubber trees is most often spent during the first year of production. So, the total investment cost will be equal to the fixed assets + cost of trees. Because of that, a specific «indicator» should be created.


Production, Labour

Workshop, Labour

Input the number of hours required for each calendar or activity.

Important notice: Click on the Save button before changing between calendars.

Olympe will take care of overlapping periods.

The Margin button is used to view the results.


Production, Trees / Ha

Workshop, trees per hectare

This sheet is used to indicate the numbers of trees per hectare of the main crop for each stage.

The Margin button makes it possible to view the results.


Production, Outputs / Tree

Workshop, Outputs per tree

This sheet is used to indicate the outputs per tree (of the main crop). => Same as for the outputs, but per tree.

The Margin button makes it possible to view the results.


Production, Inputs / Tree

Workshop, Inputs per tree

This sheet is used to indicate the inputs per tree (of the main crop). => Same as for the inputs, but per tree.

The Margin button makes it possible to view the results.


Animals, Workshop

Production Workshop for animals

Like crops, animals supply products, consume goods, expenses proportional to the quantity, and create positives or negatives externalities, need labour and have Fixed Asset values. Like other productions, the animals create products and consume Costs.

The items are grouped by categories described in the following tabs :

Click on a name of one of the tabs to open the corresponding table:

Use the MARGIN button on the bottom line to display the results.

The Stocktaking value is specific to breeding animals.

Note: For a full description of the management of animals, go to this page.


Workshop, animal stocktaking

Workshop, Animals : Stocktaking Value

If the animal is breeder in the accounting understanding or not, this Stocktaking Value does not go to the same place in the accounts.


Production, Margins

Workshop, Margins

Note: the margins / hectare can be obtained immediately by clicking on the “Margin” button.

For the tree crops, the margin / ha is displayed per production stages (i.e. per homogeneous year, same production and even cost) and not per year.

The columns 5 and 6 show:

- the total quantity.

- the total margin for the whole cycle.


Farmers, the farming System

Farmers: The production system

This module is used to create and manage the items that are specific to each production system. A production system is a farm with a decision maker.

Current: Opens the last used production system.

Other: Manage the farms: create, modify their descriptions, create and manage alternatives.

Classification: Create and manage the classification criteria which will be used in Other and Current.

Start from the bottom: Classification, then Others, then Current.


Farmers, Classification

Classification of farms

This window is used to define the items required to classify the farms (typology).

For example, you can specify:

  • the farmer’s specialization; i.e. types of crops; geographical situation; mode of irrigation, …
  • technical itineraries used,
  • etc.

The criteria defined here will be useful in the Definition of the farmers and in the Sets of farmers for regional analysis.


Farmers, Other, Create new

Other Farmers, Manage the Farms

The left column gives you all possible actions to create and manage the descriptions of farms and farms variants.

The first step will be to build New farm (click on New) and specify their classification criteria.

The titles of the columns are the names of classification items specified from the main menu. The Classification criteria will be used to sort the farmers.

Variants

Many variants of farms can be created; as well as variants of variants, etc.

Variants or sub-farms created can be displayed or only the parent farmer.

A variant farm can be:

  • An existing farm with modification of some technical itineraries, cash crops rotation, etc. Any modification making this farm different from the mother farm. This allows testing scenarios.
  • Farms in which scenarios are done on the production hazards.
  • A daughter farm issued from a mother farm on which different type of farming practices is specified.

But, do not to multiply too many variants in an unconsidered manner and take notice of what you do.

The «note» buttons opens a small notepad to help you describe each variant.

The complete variants tree can be displayed.


Farmers, Current

Farmer, Current

Click on an item below to view its description.


Farmer, Definition

Farmer's Definition

This window is used to describe the characteristics of a given farm.

The name of farmer and the Variant cannot be changed here.

Starting year: it is the first year of simulation (will be displayed as the first column title in subsequent panels.

Opening month: For accounting use.

Number of years: Number of years for simulation. Basic farm is displayed on 10 years (one decade). But, since version 1.34, it is possible to work on as much as 100 years.

See Working on more than 10 years for more details.

Classification criteria are displayed in the classification panel.

Hazard (With or Without) can be used to build up simulations by changing the hazards in Price or Quantity.


Farm, how to work on 100 years

Farmer's Definition : Working on more than 10 years

Since version 1.34, it is possible to study the farm evolutions on periods of more than 10 years (=> 100 years).

Number of years = Choose the number of years to display (up to 100 years).

Periods over 10 years are used to :

  • study tree crops over long periods.

  • do simulations over long periods in relation to hazards. For this, hazard tables have now 100 columns and tree crops can be defined on 40 stages.

Remarks : Each decade created when you click on the figure in the combo-box, is a variant of the basic farm (years 1 to 10).

  • Advantage : it is possible to compare the decades between them.

  • Inconvenient : If data need to be modified in one of the tabs, the modification will not be repeated in the other decades.

If you need to make a modification, you have to:

  • Put the focus on the first decade (e.g. here 2007-2016),

  • Select Nb Years = 10 to delete the other decades,

  • Save and close the window (risk of bug !).

  • Do wished modifications and recreate the decades; e.g. Choose again the number of years to display.


Farmers, Productions

Farmer's Productions

Description of area and quantities of:

  • Annual crops

  • Tree crops

  • Animals

  • Herds

  • Perennials

of the current farm.


Farmers, Cash Crop Rotation

Annual crops, Cropping Plan

This table is used to manage annual-crop areas.

To create (or modify) crops:

  • Put the cursor into the cell under the "Name" column you wish to create or to modify. Then, click on the Crops button. (The category is added automatically).
  • Input the area cultivated per crop per year.

----------------------

Click on [image] to display the total area planted: annuals + tree-crops + perennials.


Farmers, Tree Crops

Farmer, Tree crops

This table is used to manage tree crops.

To create (or modify) crops:

  • Put the cursor into the cell under the "Name" column you wish to create or to modify. Then, click on the Tree-crops button. (The Species is added automatically).
  • Input the:
    • area to be planted,
    • planting year,
    • uprooting year.

--------------------

Click on [image] to display the total area planted: annuals + tree-crops + perennials.


Farmer, Production, Animals Without movement

Farmer: Animals WITHOUT movement of livestock

This table is used to manage animals WITHOUT movement of livestock.

To create (or modify) animals:

  • Put the cursor into the cell under the "Name" column you wish to create or to modify. Then, click on the Animals button. (The category is added automatically).
  • Input the number of animal(s) per year.

---------------------

Note: For a full description of the management of animals, go to this page.


Farmer, Herds

Farmer's production: Herds

This module is used to manage animals WITH movement of animals within the herd (flock).

Click on a tab name below to go to the corresponding tab.

First panel is used to select a herd:

Click on [...] to select a new herd or select an existing herd. This will open the Movement panel.

Note: For a full description of the management of animals, go to this page.


Farmers, Perennials

Perennials

This table is used to manage multi-annual crops.

To create (or modify) crops:

  • Put the cursor into the cell under the "Name" column you wish to create or to modify. Then, click on the Perennials button. (The category is added automatically).
  • Input the area to be planted, the planting year and the duration (number of years).

--------------------

Click on [image] to display the total area planted: annuals + tree-crops + perennials.


Farmers, Variables

Farmer's Variables

This table is used to manage variables introduced into the Definitions.

To create (or modify) crops:

  • Put the cursor into the cell under the "Name" column you wish to create or to modify. Then, click on the Variables button. (The category is added automatically).
  • Input the quantity used per year.


Farmers, Outputs

Farmer's Outputs

This table is used to manage farmer's outputs.

When opening the table for the first time, the names and quantities computed from the data found in the Definitions and Workshops are displayed.

To add new data (in new lines) or modify existing data:

  • Put the cursor into the cell under the "Name" column you wish to create or to modify. Then, click on the Products button and choose the items to use. (The category is added automatically).

  • Do the modifications in the formula zone using items from the list in the Dictionary and the Keywords.

à Custom results can be built in each of the cells.


Farmers, Inputs

Farmer's Inputs

Variable costs

This table is used to manage farmer's inputs: operational expenses.

When opening the table for the first time, the names and quantities computed from the data found in the Definitions and Workshops are displayed.

To add new data (in new lines) or modify existing data:

  • Put the cursor into the cell under the "Name" column you wish to create or to modify. Then, click on the Expenses button and choose the items to use. (The category is added automatically).

  • Do the modifications in the formula zone using items from the list in the Dictionary and the Keywords.

à Custom results can be built in each of the cells.

Fixed costs

This table is used to manage farmer's fixed costs related to farm activities.

When opening the table for the first time, the names and quantities computed from the data found in the Definitions and Workshops are displayed.

To add new data (in new lines) or modify existing data:

  • Put the cursor into the cell under the "Name" column you wish to create or to modify. Then, click on the Fixed-Assets button and choose the items to use. (The category is added automatically).

  • Do the modifications in the formula zone using items from the list in the Dictionary and the Keywords.

à Custom results can be built in each of the cells.


Farmers, Miscellaneous

Miscellaneous, Revenues or Expenses

These tables are used to manage miscellaneous expenses or revenues of the farm; e.g. farm tenancy, social contributions, etc.

When opening the table for the first time, the names and quantities computed from the data found in the Definitions and Workshops are displayed.

To add new data (in new lines) or modify existing data:

  • Put the cursor into the cell under the "Name" column you wish to create or to modify. Then, click on the Revenues button and choose the items to use. (The category is added automatically).

  • Do the modifications in the formula zone using items from the list in the Dictionary and the Keywords.

à Custom results can be built in each of the cells.


Farmers, Externalities

Externalities Negative or P ositives

These tables are used to manage externalities, either negative (e.g. nitrogen pollution from excess fertilization use) or positive (e.g. carbon sequestration) from farm activities.

When opening the table for the first time, the names and quantities computed from the data found in the Definitions and Workshops are displayed.

To add new data (in new lines) or modify existing data:

  • Put the cursor into the cell under the "Name" column you wish to create or to modify. Then, click on the Externalities button and choose the items to use. (The category is added automatically).

  • Do the modifications in the formula zone using items from the list in the Dictionary and the Keywords.

à Custom results can be built in each of the cells.


Farmers, Fixed Assets

Fixed Assets

Fixed assets list

Small equipment


Farmers, Fixed Assets Inventory

Farmers, Fixed Assets

This table is used to manage farm Fixed assets.

For the fixed assets stocktaking, the input can be:

  • Equipment by equipment

  • On the whole stock.

The two modes are not exclusive one from the other. The small equipments bought and depreciated in the year can be subject of a special grading system input.

To add new data (in new lines) or modify existing data, input:

  • Name: of the fixed assets.
  • Purchase Value: exclusive of tax.
  • Purchase date. Date format: mmAA or mmAA or mmAAAA or mmAAAA
    1001 10 01 102001 10 2001

  • Type of depreciation:

  • Depreciation Period: duration in years.

  • VAT: Choose the rate from the button list. If not defined, the rate by default is used.

  • Sale Value: value of calculated sales by programme = value at the beginning of the simulation.

  • Sale Date: Date stored material is sold.


Farmers, Small Tools

Small Machinery

This table is used to input an overall value of all small equipment used within the year.

All ten years corresponding to the decade are displayed.

Input an overall value of all small equipment bought and depreciated during the year.


Farmers, FIxed Assets Global

Global for Fixed Assets

This table is used to add data to other investments.

ATTENTION! The following control is done, when you click on the Save button. Olympe can help you correcting the data.


Farmers, Depreciation of Fixed Assets and Materials

Integration of material and Fixed Assets in the depreciation

A farm has tools, fixed assets, machines… and many other basic investments which depreciate over a specific duration (which can differ according to the type of investment).

A false benefit could be computed if the outdated states of the above investments are not properly considered. Thus, not considering the replacement of these items would hide a real impoverishment of the farm.

It is thus necessary to interpret the economic results of Olympe properly according to the choices available: a benefit, apparently correct, might not be good if the cost of material renewal is not taken into account.

Note: Olympe not being built up for an accountant use, there is no line planned for the “capital endowment”, since in the real farm, this endowment is only an accounting forecast and does not modify the current accounts of the farm.


Farmers, Farmer's Finance

Farmer's finances

Long Term Loans

Short Term Loans

Overdraft credit Operations

Other Expenses: Grant, Investment and Global


Farmers, Long Term Loans

Long Term Loans

This table is used for managing long term loans.

To add new data (in new lines) or modify existing data, input:

  • Name of the loan

  • select the Refund and type of refund option (default = CA), and the beneficiary of the loan (default: E = Farm).

When done, click OK.

(If you closed the window and need to fill more lines, re-open Finance à Long term-loan).

Then, fill the other cells:

  • Amount,

  • Durations (in years) and Rates (in %) : 1 or 2 durations and rate (Total loan duration = 1 + 2),

  • Implementation date (Date format = mmAA or mm AA or mmAAAA mm AAAA),

  • Capital refund date: (Date format = mmAA or mm AA or mmAAAA mm AAAA).

Refund date = the date starting first repayment of the capital. Between realisation and the first payment up to the date of payment, the interest is given at each instalment. The first payment is done after a specific period (year, semester, term, month, according to the specific type) is completely achieved.


Farmers, Short Term Loans

Short Term Loans

This table is used for managing short term loans.

To add new data (in new lines) or modify existing data, input:

  • Name of the loan.

  • select if interest are Normal or Deducted, and the beneficiary of the loan.

When done, click OK.

(If you close the window and want it to fill more lines, re-open Finance à Short term loan).

Then, fill the other cells:

  • Amount

  • Rate (in %).

  • Implement date: (Date format = mmAA or mm AA or mmAAAA mm AAAA)

  • Date of reimbursement.


Farmers, Credit Opening

Overdraft, Current Account Credit Opening

This table allows a rough mean to consider the available credits during the project period.

Year: represents the financial year (all ten years of the current decade are displayed).

Input the:

  • Amount: the maximum amount granted by the bank.

  • % Spent: average percent used.

  • Rate: interest rate (in %)

  • Costs: financial expenses calculated.


Farmers, Other Revenues

Other Revenues

Grant s

To add new data, input:

  • Name of the grant.

  • Amount granted,

  • Starting date (mm yyyy)

  • Duration (in years).

Invest ments

To add new data, input:

  • Name of the investment.

  • Select the type and beneficiary.

When done, click OK.

(If you closed the window and need to fill more lines, re-open Finance à placement).

Then fill

  • Amount, rate (in %),

  • Starting date (mm yyyy)

  • Final date (mm yyyy).

Global

Data in this table are added to other loans.

ATTENTION! The following control is done:

Olympe offers the option to correct it for you.


Farmers, Private Assets

Private

Revenues

Expenses

of the family, not related to the farm.


Farmers, Private Expenses

Private, Expenses

This table is to calculate Private expenses of the family, not related to the farm. Example: Children scholarship.

When opening the table for the first time, the names and quantities computed from the data found in the Definitions and Workshops are displayed.

To add new data (in new lines) or modify existing data:

  • Put the cursor into the cell under the "Name" column you wish to create or to modify. Then, click on the Expenses button and choose the items to use. (The category is added automatically).

  • Do the modifications in the formula zone using items from the list in the Dictionary and the Keywords.

à Custom results can be built in each of the cells.


Farmers, Private Revenues

Private, Revenues

This table is to calculate Private revenues of the family, not related to the farm not considered in the farm’s results, but they are taken into consideration in the accounts of the whole (farm + family). For example: the spouse salary working outside.

When opening the table for the first time, the names and quantities computed from the data found in the Definitions and Workshops are displayed.

To add new data (in new lines) or modify existing data:

  • Put the cursor into the cell under the "Name" column you wish to create or to modify. Then, click on the Revenues button and choose the items to use. (The category is added automatically).

  • Do the modifications in the formula zone using items from the list in the Dictionary and the Keywords.

à Custom results can be built in each of the cells.


Farmers, Stocks and Accounting module

Stocks and the Marketing module

Storage Policy

Initial Stock

Marketing


Farmers, Storage Policy

Storage Policy

This table is used for crop products that are not sold the production year and must be stored. These products stored are considered the following year.

The storage policy is defined per output.

To add new data (in new lines) or modify existing data:

  • Place the cursor in the first column and use the Product button to choose an item from the list (=> Price and unit are added).

Then, input the:

  • % stored,

  • maximum storage capacity (all quantities above are sold in the current year, whatever the % stored),

  • % price increase (or decrease) if product is sold following year (100% = same price),

  • % depreciation


Farmers, Initial Stock

Initial Stock

This table is used to manage products coming from initial stocks and products stored over many years.

This table shows a period of ten years before the current decade.

Click into the first empty "Name" cell or the cell you wish to modify and use the product button to add more items è A second line is displayed to input the cost price.

Then, input:

  • the amount of product stored

  • the cost price

Those products are managed through the "Marketing" module.


Farmers, Accounting

Marketing

The marketing module is used to buy or sell farm products in chosen amounts and at various prices.

The module has two tables:

  • On top: the productions of the product selected with the outputs button

  • Below: quantities to sell for the year selected with the menu "Production year". The table below relates only to the quantities of the selected year AND ONLY FOR THAT YEAR (top column with a blue background and the year selected in the list). But, you can sell stocks over several years.

If there are initial stocks, then the marketing module must be used after filling the initial stock table. Only existing stocks are displayed.

To sell stocks: leave the module and go into the marketing module and, there, do the following steps:

On top:

  • Select the production with the “Output” button. The total quantity is added in the production line as well as the price of the item.
  • Select the production year with the “production year” drop-down menu where you wish to carry out movements.

In the bottom table:

  • Go to the year of desired sale and add the quantity actually sold in the first cell of the sale yearin the “1 Quantity” line.
  • Then input its price in the line below. The “value” will be computed and displayed.
  • Repeat as many times as you want on the same (below) year or following years (next column(s)).

The remaining quantity of product is automatically calculated in Balance (upper table) and is stored.

The bottom panel of the window shows, from left to right:

  • The “Balance” button displays the remaining quantity after the sales when a Quantity cell is selected.
  • The “Copy to” button copies the movements to another year (of your choice).
  • The “Copy to All” button copies the movements to all following years.
  • The Sale and Stock buttons displays the quantities and values of stocks each year. The stocks value corresponds to the quantity of stock in year N x Fixed Assets value in year N.


Farmers, Liabilities

Current Farmer's Liabilities

· Credits at the onset of the simulation

· Debts

· Information related to the VAT and Cash Flow at the beginning of the depreciation..


Farmers, Assets and Liabilities

Credits and Debts

These tables are used to input credits or debts at the beginning of the simulation.

To add new data (in new lines) or modify existing data, input:

  • Name of the loan

  • amount

  • payment date

The names and quantities depend on what was introduced into the Definitions and workshops.


Farmers, Current accounts

Farmer's initial VAT and Cash Flow

This table is used to indicate:

  • the farmer's initial accounts at the beginning of the current financial year.

  • the VAT of the previous financial year, if the financial year does not correspond to the calendar year.


Farmers, Results

Farmer, Results

The results can be presented in several formats: Tables, Graphs, comparison tables between several farmers, Labour requirements by periods and working time.

Precision:

Use either 0 or 2 [image] to display the results with 0 or 2 decimals.

Save on:

- Select on which type of output you wish to display the results.

- Use [image] this option to show the results. It works only with: Receipts-Expenses, Quantities, Balance, Areas, and Stocks


Results, Currency choice

Choice of the Currency Unit

The results are expressed in the standard currency unit defined in the Unit module; But for display purpose, Olympe can convert them into another currency unit, chosen by the user.

Click on the “Other” button to choose its currency. This will open a conversion table to help compute the exact rate.


Results, Standard

Standard Results

Commonly used output results can be displayed by clicking on one of the following item. Custom output form or use a self-made output built by the user in the “Output Form” module.

The options are:

  • Synthesis à Main management items
  • Receipt & Expenses à as indicated
  • Rec Exp Summary à Summary table of the above items
  • Quantities à as indicated
  • Farm Account à Overall Farm Accounts
  • Balance à as indicated
  • Family à Family accounts not included in other farm activities
  • Margins à Margins by type of crop
  • Externalities à Negative and positive externalities per crop
  • Output Forms à Custom tables create by the user (from main page menu)
  • Finance à as indicated
  • Fixed Assets à Details of capital of investments
  • VAT à as indicated
  • Area à Distribution of the cultivated areas per year
  • Tree-Crops Account à Accountable items of added value from tree crops plantations
  • Stocks à Annual inventory control of Stocks
  • Long term Loans à Long term Loans
  • Fixed Assets à Summary of Fixed Assets

Note:

The Margins can be held concurrently by product. The margins are also calculated in “Incomes & Expense” table.

The income statement is an account of flows. There can be depreciation in this account.

The Assessment is an account of stock.

Example => Synthesis output

Abbreviations meanings:
EBE : Gross Operating Surplus
CAF : Self-Financing Capacity
Balance : Balance of annual cash flows = Gross margin – Farm costs + family account balance + Fixed assets – loans – Vat.
Accrued balance : Same as above, but accrued over the decade.
CEG : Overall Farm Accounts  See Account above.


Results, Graphs

Resultats as Graphs

Click on the Graph button to open the following window.

Put the cursor in the left or right frame and, then, select the items from the list. The items will use the left or right axis in the graph.

The graphs can be displayed as lines or bars.

Example of graph:

Both left and right axis can be modified.

Use the arrows allow to modify or enter the figures manually.

Limits are used to draw horizontal lines. Tick the box to activate.

Choose Lines or Bars

Print the graph
Check values
Close the window


Results, Comparison of farmers

Comparisons de Results

Comparisons are possible on different levels; i.e. to compare:

  • Several farmers (maximum 10) on a given item (chosen from the list)
  • Several farmers on a set of data (series which were previously defined in the “comparison” module.

Note: Comparison with series:

It is necessary, as a preliminary, to have defined a series of items to be compared in the “comparisons” module from the main page of Olympe.

Choose One item or One series

Comparison of several farmers on One item

Comparison with series


Results, send to spreadsheet

Send Results to a Spreadsheet

This function sends the table to directly a spreadsheet (e.g. Ms Excel).

Choose a table, then click on the Spreadsheet button: Olympe will ask to which type of file: either “after” existing data in an already existing file or to the same file but cleared (Reset), or to a new “different” file.


Results, Labour Periods

Results of Working periods and Labour

The Labour module is used to display graph or tables of labour calendars per periods or activities.

This module is useful to check the adequacy of the manpower needs (Man days) for the farm activities (agricultural or not) including the available family labour.

  • Select the year. (Here = 2004)

  • Input in the available family labour in No workers.

  • Choose to display the result in the form of Graphs or of Values.

To have a sum of all the working periods, input the same farming calendars in all the workshop modules à “Annual crops”, “Tree crops” and “Perennial”.

We strongly suggest using farming calendars using the fortnight or month option, to come out with simpler and more practical outputs.

The available family labour used is based on an average throughout the whole year. The ideal situation would be to have the availability of family labour by periods (month, fortnight…). But 1) this would be too complicated and 2) most of the time such detailed information is not available. Thus, the use of this option is to detect if the choice of a technique or a crop returns can be done by the family labour or if it exceeds it: When? And how much? To then integrate the additional costs of external labour.

The accuracy will depend on the initial data, but it should be known that family labour is seldom very precise, hence, the choice of an annual average. On the other hand, the average availability of family labour can be defined in the Definition à Labour Periods.

If the number of available workers is not sufficient and external workers should be hired, do not forget to add in the cost of these extra workers, if it has not been indicated elsewhere.


Labour, Results as Graph

Labour Presentation as Graph

The window presents:

  • The number of available and needed Man-days (bold limit). Set to 1 in the figure.

  • The cumulative working of the various crops per periods or activities.


Labour, Results as Table

Labour Presentation as Table

The table shows the working periods to facilitate the scheduling and study the adequacy between working demand throughout the year (distribution per week, month or fortnights according to the selected format) and available family labour.


Cash Flow

Cash Flow Module

The Cash Flow module is accessed by clicking on Farmers à Data à Cash Flow. This will open the following window, with many options.

Click on an item below to view its description.

The Cash flow is related to a farmer. It is used to manage:

  • Sales or purchases of products at different periods and different prices, thus with an action on financial inputs and outputs. It is the traditional use of the accounts on an accountant and financial point of view.
  • Financial Flows of materials, products, inputs or outputs. It is a different and diverted use which makes it possible to manage non financial flows and to pass from the annual level down to the monthly level.

The cash flow analysis can reveal problems on shorter periods (monthly), i.e. visible or generating specific short term expenses (short-term loans) which would not be visible at the annual level.

Thus the accounts of a farm can look satisfactory on the annual level but might not be satisfactory on the monthly level.

The analysis of the cash flow is done at the monthly level.

Only the standard use in terms of financial accounts is described below.


Cash Flow, Distribution

The first step is to create the distributions of the outputs and inputs sold throughout the year.

The “distributions” module makes it possible to distribute a product on a monthly calendar. The products are distributed in % of the production in the calendar tables.

These distributions will be used to distribute products, costs, etc, in the following tables.


Cash Flow, Outputs

This table shows the distribution and values of the outputs for sale.

Other example: Distribution table for the products from wheat, barley and corn.


Cash Flow, Output results

Cash Flow, Results of Outputs

Results of the values and sales, or quantities (of products, costs, etc), can be displayed as table. For that, select the Quantity button in the bottom tool bar.

The following window is obtained:

This window has a “Graph” button to display the results in graphic form (lines or bars).

Select a line by clicking in one of the cells of the calendar corresponding to the product to display.


Cash Flow, Inputs

Introduce the distribution of operational costs and fixed assets corresponding to the distributed sales.

Do as for the outputs.


Cash Flow, Herds

Introduce the distribution of the purchases and sales of cattle corresponding to the distributed sales.

Do as for the outputs.


Cash Flow, Misc.

Cash Flow, Miscellaneous

Introduce the distribution of the Revenues and Expenses corresponding to the distributed sales.

Do as for the outputs.


Cash Flow, Externalities

Introduce the distribution of the positive or negative externalities corresponding to the distributed sales.

Do as for the outputs.


Cash Flow, Fixed Assets

The table displays the monthly calendar of the values of selected fixed assets and small equipment in the form of graph.


Cash Flow, Finances

The table displays the monthly calendar of the selected farm finances in the form of graph.


Cash Flow, Credit Opening

The table shows the Credits of the farm.


Cash Flow, Private

Introduce the distribution of the Family Revenues and Expenses corresponding to the distributed sales.

Do as for the outputs.


Cash Flow, Liabilities

Cash Flow, Current Accounts

The table displays the monthly calendar of the selected current accounts of the farm in the form of graph.


Cash Flow, Results

Monthly results can be displayed in detailed, semi-detailed, synthetic format or by quantities.

The results button is used to obtain the “Output in value” table

The total table makes it possible to see whether the expenditure in a given month do not exceed the possible benefits or access to credit.

Results of the values and sales, or quantities (of products, costs, etc), can be displayed as table. For that, select the Quantity button in the bottom tool bar.

The following window is obtained:

This window has a “Graph” button to display the results in graphic form (lines or bars).

Select a line by clicking in one of the cells of the calendar corresponding to the product to display.


Animals, management

Case of animals

The animals are managed in a different way according to the system considered. Two cases are possible:

  • Animals: Farm animal system WITHOUT movement within the livestock (e.g. poultry farm or cattle farm) ;

  • Herds : breeding system WITH movement within the livestock.


Livestock farming systems WITHOUT movements

Animals WITHOUT movement of Livestock

As there is no movement or evolution of animals within the herd (this last being constant), they can be managed like crops; i.e.: the description requires:

Definition of the outputs and inputs

Production Workshop of animals

Farme r's production


Definition, Animals Without movement

Definition of Outputs from the animals WITHOUT movement of livestock

First, use the “Definition à Products” menu to describe the various products resulting from the breeding systems

Example of description of products created for pigs:

Note: For a full description of the management of animals, go to this page.


Livestock farming systems WITH movements of herd

Herds: breeding system of animals WITH movement within the livestock

This chapter describe more precisely the steps to study the Livestock systems WITH movement of animals.

In this case, the number of animals is changing; e.g. some animals can give birth, be sold or die.

The herd module makes is used to manage the herd movements at the farm level, and adjust the outputs (products …) and the inputs (operational costs …). The description requires:

Definition

Note: More information on the products and costs generated by herds is described here.

Production Workshop

Farmer


Animals with Movmt, Workshop

Production: Workshop for animals

Like other crop productions, animals (from a herd or not) have outputs (products ...) and inputs, expenses proportional to the quantity, create positives or negatives externalities, need labour, and have Fixed Asset values.

First, input the categories and sub-categories to describe.

Then, click on an existing sub-category or create a new one to open the corresponding "Animal workshop".

To add (replace) an item in a line:

  • Place the cursor in the desired cell of first column.
  • Click on the upper button (here = product) to display the list of previously defined items.
  • Select the desired item from the output list. This will input the Name, its category and Farming system unit (as specified in definitions).

Then, fill the other columns.

----------------------------

The Costs can be a function of the quantity produced. Use the panel Costs = f (quantities). For example: the quantity of concentrate can be related to the production of milk.

The outputs and inputs created here will be "Workshop_Animal" in the farmer's Herd module.

More information on the products and costs generated by herds is described here.

---------------------------

Note: For a full description of the management of herds, go to this page.


Herd, Maximal Number of Animals per category

Herd, Maximum number of animals per category

For each type of animal in the herd, Input the maximum number of each type of animal. à This will define the maximum threshold.

Animals in excess will automatically be sold at the price fixed in the selling price tab.


Herd, Average Sale Price

Herd, Selling Price

Put the average selling price of the animals.

The selling prices indicated in "Definition à Herd " are indicated by default. But, it is possible to modify them.


Herd, Stocktaking Value

In the “Repro O/N” box, input O (yes) if the animal is a breeder and N (No) if the animal is not a breeder.

Next, put the stocktaking value of each animal. The software will automatically put the reproductive animals in fixed assets, while the other animals will be put in Stock.


Herds, Purchase

Herd, Purchase and Buying Price

Indicate the number of animals coming from outside the farm (in the "Purchase" tab) and their buying price (in the "Buying Price" tab).

Example: Bull purchased to improve the cattle livestock.


Herd, Movement of animals

Herd: Movement of animals

The number of animals are the number at the end (closing date) of the year.

First, choose whether the number of animals is variable within the lines (i.e. dynamic) or constant throughout successive years.

use Result to display the results of the movement of animals purchased or bought in:

  • Number

  • Value

To manually buy and sale animals:

- automatically: input the number of animals in the beginning column, then click on Simulate to automatically fill the table.

- manually: click into the cells (animal × year) of the animal to move (or sale, buy). This will open the following window:

Then, press on the Calculate button; => the software compute the figures and update the End cell.

Click on OK to confirm and update the figures in the worksheet. The figures in the dependant cells will be updated.

Click into another cell or on [image] (Alt+F4) when finished.

Other menus at the bottom of the window:

Set Buy / Sale values to zero.

Set movement of animal numbers to zero.


Herd, Selection of animal workshops

Herd: Selection of animal workshops

Place the cursor in the cell in the column of the year to input and the line of the animal to describe, click on the "Workshop_Animals" button and select the corresponding animal (as created in Definitions ->Herds) and choose a Workshop for the animal previously described in Workshop -> Animals.

Use the button “None” to clear the content of a cell.

The products and costs are then multiplied by the number of animals in the desired categories.


Herd, Results

This panel displays the number of animals bought and sold, their sales and purchases values, and the stock.

Click on the name of the herd you want to view the results by checking the box, then click on the desired results:

  • Number: give the number of animals sold or bought
  • Value: give the total value of each type of sold or bought animal and the selected herd stocktaking value.
  • Products/Costs: give in quantities or value the products or costs related to the herd.

If a modification is done after having clicked on Simulate (in the Movement tab), it is necessary to click again on this button to update the results.


Note on herd products

Note on the products generated from herds

In Definition à Outputs, you should consider:

  • The types of animals sold (sale of calves, bulls, dairy cow, etc.).
  • The products; e.g. milk, cheeses, eggs
  • The various possible premiums.

They are then considered in the Production Workshop à Animals.

It is thus possible to produce a product A in workshop A (Example: production of a light grazing calf), which will later be reintroduced as cost in workshop B (fattening) as a product B (the light bull calf).

In this case, and every time a product resulting from the farm is used as intermediate consumption in a new workshop:

  • stage you add up the total value of the products resulting from workshop A
  • stage you introduce the product of A as costs in workshop B

The totality of the products per workshop is thus well considered and it is possible to compare the economic results of the various workshops (enter also all the costs, including self-consumed products). On the other hand, it does not modify the overall landlord’s treasury.

PS: Use the same easy way for all the self-consumed products within the farm. For example for the self-consumed cash crops (e.g. rice), you can develop the totality of the production in the rice production workshop and add the costs in the private account, at the same price, the actual self-consumed quantity (thus not sold).


Sets of Farmers

This module gives access to the production systems of one or more sets of farmers presenting the same selection criteria in order to perform regional analyses.

Access to the data of the last Set of farmers used.

Create or manage sets of farmers

Click on an button below to view its description.

Start from the bottom to create the Definition of each Set of farmers.

If a set exists, you can manage the numbers of farmers in it.

Click on Results to go directly to the Farmer > Results module and display the results for all farms of the set.

Sets of farmers can be managed as a single farm created from:

  • the sum of data of all farms in the set

  • the average of data of all farms in the set.

Important notice: Clicking on [image] or on [image] will create a new farms representing the group of farms. This new farm is added to the "Farmers > Other" table.

The resulting farms are managed like regular farms.


Sets of Farmers, Creation

Create a Set of Farmers

This module is used to create sets (groups) of farmers to perform regional analyses.

To create a new set:

  • Click on New and give a name to the set

  • Choose a type of selection. There are four options described below.

Click on an Name below to view its description.

Manual: Click on manual and OK. Then, check the farmers to add in the set.

Click OK to fill the table. A TOTAL line is added first.

If a typology was defined prior to use sets, the titles of the columns correspond to the items defined as Classification keys.

Sort: is used to add farmers in a set using the classification categories.

To add new farmers:

  • Click on [image] to add classification keys.
  • Check the classification keys to use. The list of items is displayed in right window.

Then, select the items per criteria

à Farmers corresponding to these items will be added.

Addition: is used to add all farmers included in one or more existing sets.

Click OK and check the set of farmers.

à All farmers of the set(s) are added.

Extraction: is a combination of Addition and Sort.

Only farmers included in one or more sets and with specific classification options are added.


Sets of Farmers, Manage numbers

Sets of Farmers, Manage

This module is used to work on sets (or groups of farmers) to perform regional analyses.

If a typology was defined prior to use sets, the titles of the columns correspond to the items defined as “Classification” keys.

To add Farmers, use the [image] button.

A farmer represents himself, but also a type of farmer.

To manage farmers, input:

  • the number of farmers corresponding to the farmer’s type.

  • Click on SUM (Σ) to fill the first (total) line.


Sets of Farmers, Results

The Result button sends directly to the result frame.

The possibilities are the same as those described in Farm results, above.


Hazards

Hazards are used to draw up prospective scenarios based on Prices or Quantities, etc.

The “hazards” module allows to:

  • Reconstruct the past of a farm;
  • Test the robustness of various technical itineraries in a farm.
  • Test climatic hazards. Example: Could the farm support «El Niño» during 2 years?
  • Could the farm stand a crisis on two major products during X subsequent years?

It is possible to integrate risks:

- On prices:

  • Output prices (e.g. impact of the volatility of international or local market prices)
  • Inputs prices (study of the uncertainty effect of fertilizer prices)

- On quantities:

  • Impact of the climatic risks (dryness, floods, “el Niño”).
  • Externalities.

Several risks can be combined. But, adding several risks can bring complexity thus preventing correct interpretation. It is thus necessary to focus on what is really expected to possibly show any induced modification. For example: a rise in the manure price implies a lower consumption of manure BUT also with a fall of yields. THUS, the use of a risk on manure price should actually be associated with a lower output.

After having defined the risks, you should create a copy of the selected farm (either copy it or create a variant. Then, use the comparison module to compare the farms WITH and WITHOUT risks to evaluate the impact of the risk.

Examples of use

Examples with:

  • Rubber
  • Comparison on Balance


Hazards on Price

Hazard on Prices

Hazards on Price can be introduced on Products or Expenses in a form of Trend or Scenario.

Note that the columns headings are different when in Trend or scenario.

Ø Trend: For each year, input the product price or its evolution in value or percentage.

Ø Scenario: A scenario allows the definition of the product price or its evolution percentage for a series of annual type of A to J compare to the basis price. The types of years are defined in Farmers à Definition.

Chose the product in the list. The whole line is filled with default values. But, each cell can be modified.

Chose whether data must be entered in Percentage or in Value.

How to use

Select the product in the list ; This will fill the 10 first columns. Each cell can be modified.

Choose if you wish to display the data in % or Value.

Use the button [image] to automatically fill the columns with increasing (decreasing) values.

Precision of data can be displayed with 0 or 2 decimals.


Hazards on Quantities

Hazard on Quantities

Hazards on Quantities can be introduced on Products or Expenses or Externalities in a form of Trend or Scenario.

Note that the columns headings are different when in trend or scenario.

Ø Trend: For each year, input the product price or its evolution in value or percentage.

Ø Scenario: A scenario allows the definition of the product price or its evolution percentage for a series of annual type of A to J compare to the basis price. The types of years are defined in Farmers à Definition.

Choose the product in the list by clicking on the Product button. The whole line is filled with default values, but, each cell can be modified. Then, choose whether data must be entered in Percentage or in Value.

How to use

Select the product in the list ; This will fill the 10 first columns. Each cell can be modified.

Choose if you wish to display the data in % or Value.

Use the button [image] to automatically fill the columns with increasing (decreasing) values.

Precision of data can be displayed with 0 or 2 decimals.


Hazards, Examples

Examples of Hazards

Two examples are presented:

Rubber

Comparison on Balance


Hazards, example with rubber trees

Hazards on Rubber

A basic farm was created (with rubber trees only) and their alternatives with one or more other crop, farming systems (palm tree with oil palm and clone rubber, improved Agroforestry system.

Farms with and without risks are created to facilitate comparison.

To display the results of the comparison: go to the farmers’ module and choose one of them. Then, go to “Result” à “Comparison”.


Example of comparison on cash flow

Example of comparison on the Balance

Balance = (Net margin - family expenditure)

In this case, the impact of an increase of price of the rubber of US $ 0.5 to 2, with or without increase in the family expenditure is evident.


Customisation of Outputs

Indicateurs Etats de sortie Comparaison


Customisation, Indicators

Indicators

This module is used to build your own indicators (i.e. specific calculation items to describe the farm, custom ratios, etc.), not provided by Olympe, but useful and significant for the user.

Use the keywords and the definitions from the dictionary to write formulas.

Examples of indicators:

An indicator can use another indicator defined earlier.

In the event of more complex calculations, it might be more convenient to use Ms Excel.


Customisation of Output Forms

Output Forms

Custom output forms can use custom indicators or data. They are used in Farmer à Results.

Then: à Standard à Output Form.
à Comparison à One Item

Construction of output form:


Customisation, Output Forms

Comparison Forms

Comparison Forms are used to compare different variants, different farmers among themselves, applying a same production hazards for a group of farmers. This allows observing the evolution of each farmer in view of the unexpected.

Construction of Comparison Forms:

These series will be later used directly in «farmers» then «results» then comparison with the choice of «series».

Or else, we compare the farmers on one item!

Comparison between farmers:

Example of comparison of several types of farmers in a same village: we can compare also from «Farmer» à «Results» à «Comparison».

Note: Farmers can double their production by moving from “traditional jungle rubber” to “super innovative” i.e. by adopting palm oil clone systems.


Customisation, creation of own sheet

Access to Sheet


Other Modules

The [image] module allows to link Olympe with other simulation tools.

The [image] module is used to create shortcuts in the "Farm -> Result" window to reduce the access to comparisons between farms.


Procedure, interactivity

One of the objectives is to enable each farmer to introduce rather simple decision rules, which would include custom conditions or solutions.

The decision rules can be related to a certain number of financial items or possible actions, such as the family expenditure, investments (related to the accrued capital, etc.), on cropping plans, loans, and modifications of the crop replacement …

In addition of manual simulation decision mechanisms, it would enable making more complex modelling; e.g. with conditions (if… then.).

This module allows some interactivity with other software giving it more comprehensive modelling. Specific modules will be developed with researchers on request.


Shortcuts

This module is used to create shortcuts in the "Farm -> Result" window in order to reduce the number of mouse clicks required when doing comparisons of farms.

Three types of shortcuts can be programmed:

  • Standard tables,

  • Standard graphs,

  • Custom tables (done using the comparison form module).

Once finished creating the list of shortcuts, click on the [image]. This will save the shortcuts into a new file named "Raccourcis.csv".

Then, the shortcuts can be used in the "Farm -> Result" module.

Important notice: The "Raccourcis.csv" file must be deleted before using a new or different oly file.